%{?nodejs_find_provides_and_requires}
Name:                nodejs-console-dot-log
Version:             0.1.3
Release:             2
Summary:             A console.log implementation that plays nice with large amounts of data
License:             MIT
URL:                 https://developer.mozilla.org/en-US/docs/Web/API/Console/log
Source0:             http://registry.npmjs.org/console.log/-/console.log-%{version}.tgz
Source20:            LICENSE
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging

%description
A console.log implementation that plays nice with large amounts of data.
It keeps the node alive until the output has flushed to the screen.

%prep
%setup -q -n package
cp -a %{SOURCE20} .

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/console.log
cp -pr package.json console.log.js \
    %{buildroot}%{nodejs_sitelib}/console.log
%nodejs_symlink_deps

%files
%doc LICENSE README.md
%{nodejs_sitelib}/console.log

%changelog
* Mon Sep 14 2020  leiju <leiju4@huawei.com> - 0.1.3-2
- delete ExclusiveArch:%{ix86} x86_64 %{arm} noarch

* Mon Aug 17 2020 Anan Fu <fuanan3@huawei.com> - 0.1.3-1
- package init
